English

Error: The FUSE sub-system is either not installed or not running

Error Message

After installing ArcGIS License Manager 2019.0, running the install_fnp.sh shell script on a Linux operating system as either a root or sudo user returns the following error:

Error:   
ERROR: The FUSE sub-system is either not installed or not running

Cause

As of FNP service 11.4.1.1, the FUSE component has changed from depending on Activation Secure File Anchors to the FNP Licensing Service Daemon. This daemon requires the FUSE sub-system to be installed and running on the host machine which is checked by the install_fnp.sh shell script.

If a minimal installation of Red Hat Enterprise Linux (RHEL) or SUSE Linux Enterprise (SLES) is performed, the required packages for the FUSE sub-system are not installed.  

Solution or Workaround

For Red Hat Enterprise Linux systems (including CentOS and SUSE), install the gvfs-fuse package and any dependencies from the package manager of the operating system. Refer to Flexera: Why is FUSE required with FNP 11.14.1.1 install_fnp.sh on Linux? for more information.

After the gvfs-fuse package is installed, rerun install_fnp.sh as a root or sudo user.

Related Information